Package org.apache.sysds.resource.cost

# Class IOCostUtils.IOMetrics

java.lang.Object
org.apache.sysds.resource.cost.IOCostUtils.IOMetrics

Enclosing class:
  IOCostUtils

public static class IOCostUtils.IOMetrics extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`DEFAULT_MBS_DISK_BANDWIDTH`
`static final double`
`DEFAULT_MBS_HDFS_READ_BINARY_DENSE`
`static final double`
`DEFAULT_MBS_HDFS_READ_BINARY_SPARSE`
`static final double`
`DEFAULT_MBS_HDFS_READ_TEXT_DENSE`
`static final double`
`DEFAULT_MBS_HDFS_READ_TEXT_SPARSE`
`static final double`
`DEFAULT_MBS_HDFS_WRITE_BINARY_DENSE`
`static final double`
`DEFAULT_MBS_HDFS_WRITE_BINARY_SPARSE`
`static final double`
`DEFAULT_MBS_HDFS_WRITE_TEXT_DENSE`
`static final double`
`DEFAULT_MBS_HDFS_WRITE_TEXT_SPARSE`
`static final double`
`DEFAULT_MBS_MEMORY_BANDWIDTH`
`static final double`
`DEFAULT_MBS_NETWORK_BANDWIDTH`
`static final int`
`DEFAULT_NUM_CPU_CORES`

## Constructor Summary

Constructors
Constructor
Description
`IOMetrics()`
Meant to be used for testing by setting known default values for each metric
`IOMetrics(long flops, int cores, double memoryBandwidth, double diskReadBandwidth, double diskWriteBandwidth, double networkBandwidth)`
`IOMetrics(CloudInstance instance)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_NUM_CPU_CORES

public static final int DEFAULT_NUM_CPU_CORES

See Also:
  - Constant Field Values

### DEFAULT_MBS_MEMORY_BANDWIDTH

public static final double DEFAULT_MBS_MEMORY_BANDWIDTH

See Also:
  - Constant Field Values

### DEFAULT_MBS_DISK_BANDWIDTH

public static final double DEFAULT_MBS_DISK_BANDWIDTH

See Also:
  - Constant Field Values

### DEFAULT_MBS_NETWORK_BANDWIDTH

public static final double DEFAULT_MBS_NETWORK_BANDWIDTH

See Also:
  - Constant Field Values

### DEFAULT_MBS_HDFS_READ_BINARY_DENSE

public static final double DEFAULT_MBS_HDFS_READ_BINARY_DENSE

See Also:
  - Constant Field Values

### DEFAULT_MBS_HDFS_READ_BINARY_SPARSE

public static final double DEFAULT_MBS_HDFS_READ_BINARY_SPARSE

See Also:
  - Constant Field Values

### DEFAULT_MBS_HDFS_READ_TEXT_DENSE

public static final double DEFAULT_MBS_HDFS_READ_TEXT_DENSE

See Also:
  - Constant Field Values

### DEFAULT_MBS_HDFS_READ_TEXT_SPARSE

public static final double DEFAULT_MBS_HDFS_READ_TEXT_SPARSE

See Also:
  - Constant Field Values

### DEFAULT_MBS_HDFS_WRITE_BINARY_DENSE

public static final double DEFAULT_MBS_HDFS_WRITE_BINARY_DENSE

See Also:
  - Constant Field Values

### DEFAULT_MBS_HDFS_WRITE_BINARY_SPARSE

public static final double DEFAULT_MBS_HDFS_WRITE_BINARY_SPARSE

See Also:
  - Constant Field Values

### DEFAULT_MBS_HDFS_WRITE_TEXT_DENSE

public static final double DEFAULT_MBS_HDFS_WRITE_TEXT_DENSE

See Also:
  - Constant Field Values

### DEFAULT_MBS_HDFS_WRITE_TEXT_SPARSE

public static final double DEFAULT_MBS_HDFS_WRITE_TEXT_SPARSE

See Also:
  - Constant Field Values

## Constructor Details

### IOMetrics

public IOMetrics(CloudInstance instance)

### IOMetrics

public IOMetrics(long flops, int cores, double memoryBandwidth, double diskReadBandwidth, double diskWriteBandwidth, double networkBandwidth)

### IOMetrics

public IOMetrics()
Meant to be used for testing by setting known default values for each metric